<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <title>Registration</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
          crossorigin="anonymous">
<!--    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"-->
<!--          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"-->
<!--          crossorigin="anonymous">-->

<!--    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
crossorigin="anonymous">-->
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="#" th:href="@{/}">Registration and login module</a>
</nav>
<br><br><br>
<section class="py-5">
    <div class="container pt-4">
        <div class="col-lg-12 well">

            <div th:if="${param.success}">
                <div class="alert alert-info">Successfully registrated!</div>
            </div>

            <h1>Registration</h1>
            <form th:action="@{/registration}" method="post" th:object="${user}">

                <div class="form-group">
                    <label class="control-label" for="username"> Username </label>
                    <input id="username" class="form-control" th:field="*{username}"
                           required autofocus="autofocus"/>
                </div>

                <div class="form-group">
                    <label class="control-label" for="firstName"> First Name </label>
                    <input id="firstName" class="form-control" th:field="*{firstName}"
                           required autofocus="autofocus"/>
                </div>

                <div class="form-group">
                    <label class="control-label" for="lastName"> Last Name </label> <input
                        id="lastName" class="form-control" th:field="*{lastName}"
                        required autofocus="autofocus"/>
                </div>

                <div class="form-group">
                    <label class="control-label" for="password"> Password </label> <input
                        id="password" class="form-control" type="password"
                        th:field="*{password}" required autofocus="autofocus"/>
                </div>

                <div class="form-group">
                    <button type="submit" class="btn btn-success">Register</button>
                    <span>Already registered? <a href="/" th:href="@{/login}">Login
								here</a></span>
                </div>
            </form>

        </div>
    </div>

</section>

</body>
</html>
